libgpod transition

Frank Lichtenheld djpig at
Sun Mar 8 20:22:57 UTC 2009

On Sun, Mar 08, 2009 at 06:03:47PM +0100, Adeodato Simó wrote:
> Since it's a very small set of reverse dependencies, I'd really
> appreciate if you could rebuild the versions in unstable against the new
> libgpod, and report if they all build successfully (but note #516564 for
> rhythmbox). Additionally, you need not worry about tripod, since it's
> not in testing.

amarok, rhythmbox, and lastfm built fine
kipi-plugins and tripod failed (interestingly with exactly the same
 error message, seems to be copy&paste code)

For reference, here the error message:
/tmp/buildd/kipi-plugins-0.1.7/./kipi-plugins/ipodexport/ipodexportdialog.cpp: In member function 'void IpodExport::UploadDialog::ipodItemSelected(QListViewItem*)':
/tmp/buildd/kipi-plugins-0.1.7/./kipi-plugins/ipodexport/ipodexportdialog.cpp:347: error: 'ITDB_THUMB_PHOTO_SMALL' was not declared in this scope
/tmp/buildd/kipi-plugins-0.1.7/./kipi-plugins/ipodexport/ipodexportdialog.cpp:347: error: 'itdb_artwork_get_thumb_by_type' was not declared in this scope

I honestly have no idea of the libgpod API (I only maintain it because
it got split out from gtkpod which I maintain), so I can't give any
advice on how to fix that nor any indication on how hard it will be
to fix it.

Frank Lichtenheld <djpig at>

More information about the pkg-gnome-maintainers mailing list